[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoEnter

Signals the OnEnter event handler (when assigned) when the control receives focus.

## Declaration

Source position: controls.pp line 2257

`protected procedure TWinControl.DoEnter; virtual;`

## Description

DoEnter is called from the CMEnter method when a CM_ENTER message is received for the control. The event handler allows actions to be performed when the control receives focus, either by using keyboard navigation or by mouse click in the client area for the control.

## See also

TWinControl.OnEnter |  | Event handler signalled when the control receives focus.
TWinControl.CMEnter |  | Handles the CM_ENTER control message for the control.
TWinControl.DoExit |  | Signals the OnExit event handler (when assigned) when the control loses focus.
TWinControl.OnExit |  | Event handler signalled when the control loses focus.